Package net.paulhertz.pixelaudio.example

# Class WaveSynthSequencer.NoteTimedLocation

java.lang.Object
net.paulhertz.pixelaudio.example.WaveSynthSequencer.TimedLocation
net.paulhertz.pixelaudio.example.WaveSynthSequencer.NoteTimedLocation

Enclosing class:
  WaveSynthSequencer

public class WaveSynthSequencer.NoteTimedLocation extends WaveSynthSequencer.TimedLocation

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private ADSRParams`
  `adsr`
  `private float`
  `amplitude`
  `private int`
  `circleColor`
  `private float`
  `duration`
  `private int`
  `note`
  `private int`
  `pos`
  `private WaveSynth`
  `wavesynth`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoteTimedLocation(int x, int y, int stop, int pos, int note, float duration, float amplitude, int circ, ADSRParams adsr, WaveSynth ws)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ADSRParams`
  `getAdsr()`
  `float`
  `getAmplitude()`
  `int`
  `getCircleColor()`
  `float`
  `getDuration()`
  `int`
  `getNote()`
  `int`
  `getPos()`
  `WaveSynth`
  `getWaveSynth()`

  ### Methods inherited from class net.paulhertz.pixelaudio.example.WaveSynthSequencer.TimedLocation

  `getX, getY, isStale, setStale, stopTime`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### pos

    private int pos

  - ### note

    private int note

  - ### duration

    private float duration

  - ### amplitude

    private float amplitude

  - ### adsr

    private ADSRParams adsr

  - ### wavesynth

    private WaveSynth wavesynth

  - ### circleColor

    private int circleColor

- ## Constructor Details

  - ### NoteTimedLocation

    public NoteTimedLocation(int x, int y, int stop, int pos, int note, float duration, float amplitude, int circ, ADSRParams adsr, WaveSynth ws)

- ## Method Details

  - ### getNote

    public int getNote()

  - ### getPos

    public int getPos()

  - ### getDuration

    public float getDuration()

  - ### getAmplitude

    public float getAmplitude()

  - ### getCircleColor

    public int getCircleColor()

  - ### getAdsr

    public ADSRParams getAdsr()

  - ### getWaveSynth

    public WaveSynth getWaveSynth()